Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc
Class SQLExecutionManagerImpl.SQLExecutionEventImpl

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.SQLExecutionManagerImpl.SQLExecutionEventImpl

All Implemented Interfaces:
  SQLExecutionEvent

Enclosing class:
  SQLExecutionManagerImpl

class SQLExecutionManagerImpl.SQLExecutionEventImpl
extends Object
implements SQLExecutionEvent

Internal implementation of the `SQLExecutionEvent` event interface.

Fields inherited from interface com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent
`AFTER_CLOSE, AFTER_CLOSE_RESULTSET, AFTER_COMMIT, AFTER_CONNECT, AFTER_EXECUTE_STATEMENT, AFTER_ROLLBACK, BEFORE_CLOSE, BEFORE_CLOSE_RESULTSET, BEFORE_COMMIT, BEFORE_CONNECT, BEFORE_EXECUTE_STATEMENT, BEFORE_ROLLBACK, CREATING_STATEMENT, PREPARING_STATEMENT`

Constructor Summary
`SQLExecutionManagerImpl.SQLExecutionEventImpl(short type, SQLExecutionEvent associatedEvent, Statement statement, ResultSet resultSet, SQLBuffer[] buffer, SQLExecutionManager manager)`

Method Summary
`SQLExecutionEvent` | `getAssociatedEvent()`
`Connection` | `getConnection()`
`SQLExecutionManager` | `getManager()`
`ResultSet` | `getResultSet()`
`SQLBuffer[]` | `getSQLBuffer()`
`Statement` | `getStatement()`
`long` | `getTime()`
`short` | `getType()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExecutionManagerImpl.SQLExecutionEventImpl

    public SQLExecutionManagerImpl.SQLExecutionEventImpl(short type,
                                                         SQLExecutionEvent associatedEvent,
                                                         Statement statement,
                                                         ResultSet resultSet,
                                                         SQLBuffer[] buffer,
                                                         SQLExecutionManager manager)

Method Detail

### getType

    public final short getType()

  Specified by:
    `getType` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the type code for the event.

### getStatement

    public final Statement getStatement()

  Specified by:
    `getStatement` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the Statement for this event, may be null for events unrelated to Statement execution.

### getConnection

    public final Connection getConnection()

  Specified by:
    `getConnection` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the Connection for this event, may be null for events unrelated to Connection activity.

### getTime

    public final long getTime()

  Specified by:
    `getTime` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the time in milliseconds that this event was created.

### getManager

    public final SQLExecutionManager getManager()

  Specified by:
    `getManager` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the `SQLExecutionManager` implementation that caused this event.

### getResultSet

    public final ResultSet getResultSet()

  Specified by:
    `getResultSet` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the ResultSet for this event, may be null for events unrelated to ResultSet activity.

### getSQLBuffer

    public final SQLBuffer[] getSQLBuffer()

  Specified by:
    `getSQLBuffer` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the `SQLBuffer`s for this event, may be null for events unrelated to SQL activity.

### getAssociatedEvent

    public final SQLExecutionEvent getAssociatedEvent()

  Specified by:
    `getAssociatedEvent` in interface `SQLExecutionEvent`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.SQLExecutionEvent`
  Returns:
    the associated `SQLExecutionEvent` for this event. For AFTER_XXX events, this will typically be the SQLExecutionEvent that was created in the BEFORE_XXX stage. This may be null when an association is not appropriate for the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.